import 'package:flutter/material.dart';
import 'package:taboola_sdk_example/DefaultProperties.dart' as PublisherProperties;
import 'taboola_listview_screen.dart';


class TaboolaTabsScreen extends StatelessWidget {

  TaboolaTabsScreen(String publisher, String pageUrl, String pageType, String placement, String mode);

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      debugShowCheckedModeBanner: false,
      title: "TabController with listView",
      home: DefaultTabController(
        length: 3,
        child: Scaffold(
          appBar: PreferredSize(
            preferredSize: Size.fromHeight(50.0),
            child: AppBar(
            bottom: TabBar(
              tabs: [
                Tab(icon: Icon(Icons.attach_money)),
                Tab(icon: Icon(Icons.directions_car)),
                Tab(icon: Icon(Icons.directions_transit)),
              ],
            ),
          ),
          ),
          body: TabBarView(
            children: [
              TaboolaListViewScreen(PublisherProperties.publisher, PublisherProperties.pageUrl, PublisherProperties.pageType, PublisherProperties.placement, PublisherProperties.mode),
              Icon(Icons.directions_transit),
              Icon(Icons.directions_transit),
            ],
          ),
        ),
      ),
    );
  }
}