
class SdkDescriptor {
  static const String _sdkt = "Taboola Flutter SDK"; //sdkName
  static String _sdkv = "0.0.1"; //sdkVersion //TODO: Hardcoded for mvp, suggested solution bellow

  static String getSdkName() {
    return _sdkt;
  }

  static String getSdkVersion() {
      /// - Since YAML is just a data structure and not a dynamic language I haven't found a way to get the version from it in runtime.
      /// - I could get the publisher's app version using a package called PackageInfo, in runtime the native part of PackageInfo will read the version from Gradle/..iOS but only for the app and not the SDK dependency.
      ///
      /// Post MVP solution 1:
      /// - We write an Obj-c/Java plugin that tries to read, specifically, the sdk version while in runtime
      ///
      /// Post MVP solution 2:
      /// - We write a python / shell script that will be executed by Jenkins and do 3 things:
      ///   -- Get the new version from Gradle (according to Jenkins build parameters)
      ///   -- Edit the version in our YAML
      ///   -- Inject the same version in our code
      ///

    return _sdkv;
  }

}