
import 'package:webview_flutter/webview_flutter.dart';

const emitBridgeEvent = "window.taboolaBridge && taboolaBridge.emit";

class TaboolaBridge {

  final WebViewController _controller;

  TaboolaBridge(this._controller);

  void emit(String eventName, List eventData) {
    String eventDataStr = eventData != null ? eventData.join(", ") : "''";
    String jsCall = "$emitBridgeEvent('$eventName',$eventDataStr)";

    _controller.evaluateJavascript(jsCall);
  }

  void resolvePromise(String promiseId, var returnValue) {
    var returnValueNotNull = returnValue != null && returnValue != "" ? returnValue : "null";
    String eventName = "webkitMessageHandler().resolvePromise";
    String jsCall = "$eventName('$promiseId',$returnValueNotNull,null)";

    _controller.evaluateJavascript(jsCall);
  }

}