import 'package:flutter/cupertino.dart';
import 'package:taboola_sdk/publisher_info.dart';
import 'package:taboola_sdk/standard/taboola_standard.dart';
import 'package:taboola_sdk/standard/taboola_standard_listener.dart';
import 'package:taboola_sdk/standard/webview_manager.dart';
import 'package:taboola_sdk/standard/taboola_webview.dart';
import '../extra_properties_manager.dart';

class TaboolaStandardBuilder {
  /// Constructor
  TaboolaStandardBuilder(
    this._publisherInfo,
    this._extraPropertiesManager,
    this._pageUrl,
    this._pageType,
  );

  ExtraPropertiesManager _extraPropertiesManager;
  PublisherInfo _publisherInfo;
  String _pageUrl;
  String _pageType;

  /// Optional params
  String _pageId = "auto"; //default value
  String _targetType = "mix";

  /// Builder
  TaboolaStandard build(
    String placement,
    String mode,
    bool isFeed,
    TaboolaStandardListener taboolaStandardListener, {
    ScrollController scrollController,
  }) {
    if (_publisherInfo == null) {
      throw ('PublisherInfo is null, did you call Taboola init?');
    }

    return TaboolaStandard(
      _extraPropertiesManager,
      _publisherInfo.publisherId,
      mode,
      placement,
      _pageUrl,
      _pageType,
      _pageId,
      _targetType,
      isFeed,
      taboolaStandardListener,
      scrollController: scrollController,
    );
  }
}
