
import 'dart:convert';
import 'dart:ui';

class RectsUtils {

  static String getExternalRects(Rect nativeWindowRect, Rect webViewRect){
    Map <String,dynamic> nativeWindowRectStr = _createStrRects(nativeWindowRect);
    Map <String,dynamic> webViewRectStr = _createStrRects(webViewRect);

    Map <String,dynamic> rects = new Map <String,dynamic>();
    rects["webViewRect"] = webViewRectStr;
    rects["nativeWindowRect"] = nativeWindowRectStr;
    return json.encode(rects);
  }

  static Map <String,dynamic> _createStrRects(Rect rect) {
    Map <String,dynamic> jsonRect = new Map <String,dynamic>();
    jsonRect["x"] = rect.left;
    jsonRect["y"] = rect.top;
    jsonRect["height"] = rect.height;
    jsonRect["width"] = rect.width;
    jsonRect["left"] = rect.left;
    jsonRect["right"] = rect.right;
    jsonRect["top"] = rect.top;
    jsonRect["bottom"] = rect.bottom;
    return jsonRect;
  }
}